Page MenuHomePhabricator

Trying to upload causes wikimedia to return a <api-error-unknownerror>
Closed, DuplicatePublic

Description

I tried to upload (three different versions of the same) four files via my Wikimedia account, and each time I got an '<api-error-unknownerror>' together with a '* = This field is required' (although no fields were marked with a red *) for each of the four photos.

Pressing the 'Retry the failed uploads' button causes the error to happen again.

Event Timeline

Lklundin created this task.Feb 20 2015, 5:28 PM
Lklundin raised the priority of this task from to Needs Triage.
Lklundin updated the task description. (Show Details)
Lklundin added a subscriber: Lklundin.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 5:28 PM
Reedy added a subscriber: Reedy.Feb 20 2015, 5:30 PM

Uploading them how? On which wiki? What file types? How big are they?

Via https://commons.wikimedia.org/wiki/Special:UploadWizard#
The first two attempts (using JPEG): ca. 9 MB each
The third attempt (using PNG): ca. 41 MB each

Umherirrender set Security to None.
Restricted Application added a project: Multimedia. · View Herald TranscriptFeb 20 2015, 6:02 PM
Tgr added a subscriber: Tgr.Feb 20 2015, 9:58 PM

T68366 is about providing more information about unknown errors (basically, retrieving the exception message). So if you don't see anything else, that bug should be reopened.

Can you share the files you were trying to upload? You can just drag-and-drop them into the comment box here.

Tgr added a comment.Feb 20 2015, 11:15 PM

I can upload these files to beta Commons without problems and can get through the file upload step in the wizard on real Commons (did not want to actually upload). Can your reproduce the problem on your machine?

OK, thanks for looking into this. In my case the actual upload goes OK, then I get the upload error described above when I try to finalize the 'Describe' step, see attached screenshot.

The error is reproducible, I got it just now with the four files above.

Tgr added a comment.Feb 21 2015, 7:10 PM

Which timezone is 18:39:17 in? I'll see if I can dig up something in the logs.

UTC+1. Just pressed the 'Retry failed uploads now'. Thanks.

FYI, I just got the same error with a different set of 5 JPEGs

Gilles triaged this task as High priority.Feb 23 2015, 4:56 PM
Gilles added a subscriber: Gilles.
Gilles edited a custom field.Feb 25 2015, 9:18 AM

I can't find anything in exception.log, api.log nor upload.log

@Lklundin does it work when you retry? Or do retries never work and you always get the error?

I reproduced it reliably, multiple times, both from scratch and by clicking the 'Retry the failed uploads'.

I noted several of the times when I reproduced it here and also attached a screenshot of the error screen.

@Lklundin if you can reproduce it reliably, it would be great if you can record a screencap video of the entire process and the bug happening. Short of that, a screenshot of the metadata you enter on the describe step would be useful as well.

The difficulty we're having at the moment is that we can't find traces of those errors in the logs (presumably, it fails so badly that it doesn't leave a trace), so anything that could let us reproduce the issue would be great. Basically specific files that always fail + the exact metadata entered for them. @Tgr already tried the files on their own, but maybe the bug is triggered by some of the metadata.

Last question, when you have a failing set, are you ever able to upload it at another time? Or does it always fail for a particular combination of files and metadata?

Tgr added a comment.Mar 6 2015, 10:20 AM

I probably misunderstood how to reproduce - I only went until the license step, never tried to pass the details step (as I did not want to actually upload files) and apparently that's when this is happening.

Steinsplitter moved this task from Incoming to Uploading on the Commons board.
Tgr added a comment.Mar 17 2015, 9:35 PM

Could this be the same issue as T92790? (also mentions unknown errors)

Quite possible, I'm removing this from the current sprint since we're waiting for a response.

Gilles removed Gilles as the assignee of this task.Apr 1 2015, 9:04 AM
Gilles edited a custom field.
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:45 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 6:45 PM
MarkTraceur lowered the priority of this task from High to Low.Nov 24 2015, 8:14 PM
MarkTraceur added a subscriber: MarkTraceur.

Marked as low priority until someone picks this up again - we may have inadvertently fixed something

matmarex closed this task as Resolved.May 12 2016, 4:43 PM
matmarex claimed this task.
matmarex added a subscriber: matmarex.

The problem was not with the files, but with the file names – '/' is not allowed in them. UploadWizard handles this correctly today, you get a (more) useful recoverable error:

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptMay 12 2016, 4:43 PM